-- =============================================  
-- Author:  Paolo Giovanetti  / TRINGALI PER FIDUCIARIE  
-- Create date: <Create Date,,>  
-- Description: <Description,,>  
-- =============================================  
CREATE procedure [C6MartPeriodico].[RP_DM_W6CATESG]  
AS  
BEGIN  
 SET NOCOUNT ON;  
 -- Log esecuzione  
 INSERT INTO LOG_ESECUZIONE  
  (Nome, Inizio, Nota)  
 VALUES (  
  'RP_DM_W6CATESG',  
  GETDATE(),  
  'Elaborazione trimestrale'  
 )  
-- declare @data varchar(8)
--set @data= [C6MartPeriodico].[getTrimestre2](getdate(),0)
truncate table C6MartPeriodico.W6CATESG
 INSERT INTO [C6MartPeriodico].[W6CATESG]
       ( 
	[dttrim]
      ,[banca]
      ,[rete]
      ,[codfis]
      ,[codman]
      ,[esg_e_prod_cli]
      ,[esg_s_prod_cli]
      ,[esg_g_prod_cli]
      ,[prodotto_id]
      ,[position_id])  
 SELECT distinct 
       [DTTRIM]
	  ,[BANCA]
      ,[RETE]
      ,case when CODMAN<>'' then 'FF@'+CODMAN
	   else CODFIS end as COD_FISCALE
	  ,isnull([codman],'')
      ,isnull([esg_e_prod_cli],'')
      ,isnull([esg_s_prod_cli],'')
      ,isnull([esg_g_prod_cli],'')
      ,isnull([prodotto_id],'')
      ,isnull([position_id],'')
  FROM [C6StampeCentralizzate].[C6StagingPeriodico].[W6CATESG] 
  --where 
  --DTTRIM=@data
 -- Log esecuzione  
 UPDATE  
  LOG_ESECUZIONE  
 SET  
  Fine = GETDATE(),  
  Tipo = 'INSERT',  
  Righe = @@ROWCOUNT  
 WHERE  
  Nome = 'RP_DM_W6CATESG' AND  
  Inizio = (  
   SELECT  
    MAX(Inizio)  
   FROM  
    LOG_ESECUZIONE  
   WHERE  
    Nome = 'RP_DM_W6CATESG'  
  )  
END